Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Get information about applications that can be launched when creating a Vultr VPS.
Example Usage
Get the information for an application by deploy_name:
import * as pulumi from "@pulumi/pulumi";
import * as vultr from "@ediri/vultr";
const docker = vultr.getApplication({
filters: [{
name: "deploy_name",
values: ["Docker on CentOS 7 x64"],
}],
});
import pulumi
import pulumi_vultr as vultr
docker = vultr.get_application(filters=[{
"name": "deploy_name",
"values": ["Docker on CentOS 7 x64"],
}])
package main
import (
"github.com/dirien/pulumi-vultr/sdk/v2/go/vultr"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vultr.GetApplication(ctx, &vultr.GetApplicationArgs{
Filters: []vultr.GetApplicationFilter{
{
Name: "deploy_name",
Values: []string{
"Docker on CentOS 7 x64",
},
},
},
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vultr = Pulumi.Vultr;
return await Deployment.RunAsync(() =>
{
var docker = Vultr.GetApplication.Invoke(new()
{
Filters = new[]
{
new Vultr.Inputs.GetApplicationFilterInputArgs
{
Name = "deploy_name",
Values = new[]
{
"Docker on CentOS 7 x64",
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vultr.VultrFunctions;
import com.pulumi.vultr.inputs.GetApplicationArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var docker = VultrFunctions.getApplication(GetApplicationArgs.builder()
.filters(GetApplicationFilterArgs.builder()
.name("deploy_name")
.values("Docker on CentOS 7 x64")
.build())
.build());
}
}
variables:
docker:
fn::invoke:
function: vultr:getApplication
arguments:
filters:
- name: deploy_name
values:
- Docker on CentOS 7 x64
Using getApplication
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getApplication(args: GetApplicationArgs, opts?: InvokeOptions): Promise<GetApplicationResult>
function getApplicationOutput(args: GetApplicationOutputArgs, opts?: InvokeOptions): Output<GetApplicationResult>def get_application(filters: Optional[Sequence[GetApplicationFilter]] = None,
opts: Optional[InvokeOptions] = None) -> GetApplicationResult
def get_application_output(filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetApplicationFilterArgs]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetApplicationResult]func GetApplication(ctx *Context, args *GetApplicationArgs, opts ...InvokeOption) (*GetApplicationResult, error)
func GetApplicationOutput(ctx *Context, args *GetApplicationOutputArgs, opts ...InvokeOption) GetApplicationResultOutput> Note: This function is named GetApplication in the Go SDK.
public static class GetApplication
{
public static Task<GetApplicationResult> InvokeAsync(GetApplicationArgs args, InvokeOptions? opts = null)
public static Output<GetApplicationResult> Invoke(GetApplicationInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetApplicationResult> getApplication(GetApplicationArgs args, InvokeOptions options)
public static Output<GetApplicationResult> getApplication(GetApplicationArgs args, InvokeOptions options)
fn::invoke:
function: vultr:index/getApplication:getApplication
arguments:
# arguments dictionaryThe following arguments are supported:
- Filters
List<ediri.
Vultr. Inputs. Get Application Filter> - Query parameters for finding applications.
- Filters
[]Get
Application Filter - Query parameters for finding applications.
- filters
List<Get
Application Filter> - Query parameters for finding applications.
- filters
Get
Application Filter[] - Query parameters for finding applications.
- filters
Sequence[Get
Application Filter] - Query parameters for finding applications.
- filters List<Property Map>
- Query parameters for finding applications.
getApplication Result
The following output properties are available:
- Deploy
Name string - The deploy name of the application.
- Id string
- The provider-assigned unique ID for this managed resource.
- Image
Id string - The Marketplace ID for this application.
- Name string
- The name of the application.
- Short
Name string - The short name of the application.
- Type string
- This defines if an application is
one-clickormarketplace. - Vendor string
- The vendor who authored the application.
- Filters
List<ediri.
Vultr. Outputs. Get Application Filter>
- Deploy
Name string - The deploy name of the application.
- Id string
- The provider-assigned unique ID for this managed resource.
- Image
Id string - The Marketplace ID for this application.
- Name string
- The name of the application.
- Short
Name string - The short name of the application.
- Type string
- This defines if an application is
one-clickormarketplace. - Vendor string
- The vendor who authored the application.
- Filters
[]Get
Application Filter
- deploy
Name String - The deploy name of the application.
- id String
- The provider-assigned unique ID for this managed resource.
- image
Id String - The Marketplace ID for this application.
- name String
- The name of the application.
- short
Name String - The short name of the application.
- type String
- This defines if an application is
one-clickormarketplace. - vendor String
- The vendor who authored the application.
- filters
List<Get
Application Filter>
- deploy
Name string - The deploy name of the application.
- id string
- The provider-assigned unique ID for this managed resource.
- image
Id string - The Marketplace ID for this application.
- name string
- The name of the application.
- short
Name string - The short name of the application.
- type string
- This defines if an application is
one-clickormarketplace. - vendor string
- The vendor who authored the application.
- filters
Get
Application Filter[]
- deploy_
name str - The deploy name of the application.
- id str
- The provider-assigned unique ID for this managed resource.
- image_
id str - The Marketplace ID for this application.
- name str
- The name of the application.
- short_
name str - The short name of the application.
- type str
- This defines if an application is
one-clickormarketplace. - vendor str
- The vendor who authored the application.
- filters
Sequence[Get
Application Filter]
- deploy
Name String - The deploy name of the application.
- id String
- The provider-assigned unique ID for this managed resource.
- image
Id String - The Marketplace ID for this application.
- name String
- The name of the application.
- short
Name String - The short name of the application.
- type String
- This defines if an application is
one-clickormarketplace. - vendor String
- The vendor who authored the application.
- filters List<Property Map>
Supporting Types
GetApplicationFilter
Package Details
- Repository
- vultr dirien/pulumi-vultr
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
vultrTerraform Provider.
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
